Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenExpressionProviderContainer

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenExpressionProviderContainerImpl

    public interface GenExpressionProviderContainer

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Expression Provider Container'.

The following features are supported:

- `Expressions Package Name`
- `Abstract Expression Class Name`
- `Providers`
- `Editor Gen`

See Also:
  `GMFGenPackage.getGenExpressionProviderContainer()`
** Generated **
Model:

Method Summary
`java.lang.String` `getAbstractExpressionClassName()` Returns the value of the 'Abstract Expression Class Name' attribute
`java.lang.String` `getAbstractExpressionQualifiedClassName()`
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`java.lang.String` `getExpressionsPackageName()` Returns the value of the 'Expressions Package Name' attribute
`org.eclipse.emf.common.util.EList<GenExpressionProviderBase>` `getProviders()` Returns the value of the 'Providers' containment reference list.
`void` `setAbstractExpressionClassName(java.lang.String value)` Sets the value of the '`Abstract Expression Class Name`' attribute
`void` `setExpressionsPackageName(java.lang.String value)` Sets the value of the '`Expressions Package Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getExpressionsPackageName

    java.lang.String getExpressionsPackageName()

  Returns the value of the 'Expressions Package Name' attribute.

  If the meaning of the 'Expressions Package Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expressions Package Name' attribute.
  See Also:
    `setExpressionsPackageName(String)`, `GMFGenPackage.getGenExpressionProviderContainer_ExpressionsPackageName()`
  ** Generated **
  Model:

### setExpressionsPackageName

    void setExpressionsPackageName(java.lang.String value)

  Sets the value of the '`Expressions Package Name`' attribute.

  Parameters:
    `value` - the new value of the 'Expressions Package Name' attribute.
  See Also:
    `getExpressionsPackageName()`
  ** Generated **

### getAbstractExpressionClassName

    java.lang.String getAbstractExpressionClassName()

  Returns the value of the 'Abstract Expression Class Name' attribute.

  If the meaning of the 'Base Expression Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Abstract Expression Class Name' attribute.
  See Also:
    `setAbstractExpressionClassName(String)`, `GMFGenPackage.getGenExpressionProviderContainer_AbstractExpressionClassName()`
  ** Generated **
  Model:

### setAbstractExpressionClassName

    void setAbstractExpressionClassName(java.lang.String value)

  Sets the value of the '`Abstract Expression Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Abstract Expression Class Name' attribute.
  See Also:
    `getAbstractExpressionClassName()`
  ** Generated **

### getProviders

    org.eclipse.emf.common.util.EList<GenExpressionProviderBase> getProviders()

  Returns the value of the 'Providers' containment reference list. The list contents are of type `GenExpressionProviderBase`. It is bidirectional and its opposite is '`Container`'.

  If the meaning of the 'Providers' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Providers' containment reference list.
  See Also:
    `GMFGenPackage.getGenExpressionProviderContainer_Providers()`, `GenExpressionProviderBase.getContainer()`
  ** Generated **
  Model:
    opposite="container" containment="true"

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Expression Providers`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenExpressionProviderContainer_EditorGen()`, `GenEditorGenerator.getExpressionProviders()`
  ** Generated **
  Model:
    opposite="expressionProviders" resolveProxies="false" required="true" transient="false" changeable="false"

### getAbstractExpressionQualifiedClassName

    java.lang.String getAbstractExpressionQualifiedClassName()

  ** Generated **
  Model:
    kind="operation" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.